#pragma once


#include <string>
#include <sstream>
#include <stdio.h>
#include <utility>
#include <stdlib.h>

#include "RTTI.h"

#include "SList.h"

#include "HashMap.h"
#include "Scope.h"
#include "Vector.h"
#include "Attributed.h"
#include "IXmlParseHelper.h"

#include "expat.h"

#include "Factory.h"
#include "WorldState.h"

#include "Action.h"

class ActionList : public Action
{
	public:
		RTTI_DECLARATIONS(ActionList, Action)

		//! Constructor
		/*!
			a basic constructor
		*/
		ActionList();

		//! Deconstructor
		/*!
			a basic virtual deconstructor
		*/
		virtual ~ActionList();
		
		//! Process
		/*!
			Processes all of the actions inside of this action list
			\param - a pointer to the current world state
		*/
		virtual void Process(WorldState * currentWorldState);

	protected:

	private:

};