/*! \file macros.h

    \brief useful macros

    \author Written and Copyright (C) 1999-2008 by Michael J. Gourlay
*/
#ifndef MACROS_H
#define MACROS_H

#include <cassert>

//! \brief assert
#if defined( _DEBUG )
	#define ASSERT( condition ) assert( condition )
#else
    #define ASSERT( condition )
#endif

//! \brief square value
#define POW2( x ) ( ( x ) * ( x ) )

#endif