#include "ActionList.h"

RTTI_DEFINITIONS(ActionList)

ActionList::ActionList()
{
}

ActionList::~ActionList()
{
}

void ActionList::Process(WorldState * currentWorldState)
{
	for(unsigned int i = 0; i < Size(); i++){
		Scope & currentScope = AppendScope(GetMemberName(i));	
		if(currentScope.Is("Action")){
			if(currentScope.Is("ReactionAttributed") == false){
				(currentScope.As<Action>())->Process(currentWorldState);
			}
		}
	}
}

