#pragma once

#include <string>
#include <sstream>
#include <stdio.h>
#include <utility>
#include <stdlib.h>

#include "RTTI.h"

#include "SList.h"

#include "HashMap.h"
#include "Scope.h"
#include "Vector.h"
#include "Attributed.h"
#include "IXmlParseHelper.h"

#include "expat.h"

#include "ActionList.h"

using namespace std;

class ActionListIf : public ActionList
{
	public:
		RTTI_DECLARATIONS(ActionListIf, ActionList)

		//! Constructor
		/*!
			a basic constructor
		*/
		ActionListIf();

		//! Deconstructor
		/*!
			a basic virtual deconstructor
		*/
		virtual ~ActionListIf();

	protected:

	private:
		Signature mCondition;
		Scope * mThenCondition;
		Scope * mElseCondition;

};
