#pragma once


#include <string>
#include <sstream>
#include <stdio.h>
#include <utility>
#include <stdlib.h>

//Architecture
#include "RTTI.h"
#include "Datum.h"
#include "Scope.h"

//Foundation
#include "SList.h"

//Forward Delcarations
class EventPublisher;

class IEventSubscriber
{
	public:
		//! Notify
		/*!
			shall notify the event subscriber
			\param - the event this is
		*/
		virtual void Notify(EventPublisher * eventPublisher) = 0;
	
	protected:

	private:

};